Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1026857 - PRD34 - [RFE] High Availability flag should be included when exporting/importing from Export Domain
Summary: PRD34 - [RFE] High Availability flag should be included when exporting/import...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.4.0
Assignee: Jiri Moskovcak
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks: 1036746 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-05 14:37 UTC by Allan Voss
Modified: 2018-12-06 15:29 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
With this update, the high availability flag for virtual machines is now included when exporting or importing virtual machines to or from export storage domains.
Clone Of:
: 1036746 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:00:56 UTC
oVirt Team: SLA
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 629253 None None None Never
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 22238 None None None Never

Description Allan Voss 2013-11-05 14:37:14 UTC
2. What is the nature and description of the request? 
We would really like the correct High Availability setting to be included in the VM metadata so it is correctly reflected upon import.

3. Why does the customer need this? (List the business requirements here) 
We need this because we expect the correct VM setting to be reflected between the exported and imported VM. 
It's kinda inconvenient to have to correct the HA setting when you are importing 300+ VM's during a migration exercise ! 

4. How would the customer like to achieve this? 
I want the HA setting to be included in the the exported VM metadata and for it to be correctly reflected upon import. 

5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 
Test an export/import of a VM with HA settings applied

6. Is there already an existing RFE upstream or in Red Hat bugzilla? 
No

7. How quickly does this need resolved? 
ASAP - 3.4 

8. List the affected packages 
Unknown 

9. Would the customer be able to assist in testing this functionality if implemented? 
You bet!

Comment 2 Lukas Svaty 2014-02-12 13:17:37 UTC
Failed on importing / exporting of template

components:
ovirt-engine-backend-3.4.0-0.7.beta2.el6.noarch

steps to reproduce:
1. Create HA VM
2. Create template1 from HA VM
3. Export template1 to export domain
4. Import template as clone to template2 (HA set to False -> should be True)
5. Remove template1
6. Import template as clone to template1 (HA set to False -> should be True)

moving back to assigned

Comment 3 Doron Fediuck 2014-02-16 19:53:18 UTC
This feature is handling a vm and not a template. 
Please retest using vm export and import.

Comment 4 Lukas Svaty 2014-02-26 18:22:55 UTC
Verified and opened new RFE for templates 
https://bugzilla.redhat.com/show_bug.cgi?id=1066406

verified in ovirt-engine-backend-3.4.0-0.7.beta2.el6.noarch

steps to reproduce:
1. Create HA vm1, not HA vm2
2. Export vm1, vm2 to export domain
3. Import vm1, vm2
4. Check vm1 is HA and vm2 is not HA

Comment 5 errata-xmlrpc 2014-06-09 15:00:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.